%define _disable_ld_no_undefined 1

Name:           cairo-java
Version:        1.0.8
Release:        %mkrel 7.0.1
Epoch:          0
Summary:        Java bindings for the Cairo library
License:        LGPLv2
Group:          System/Libraries
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/cairo-java/1.0/cairo-java-%{version}.tar.bz2
Source1:        cairo-java-1.0.8.changes
Source2:        cairo-java-1.0.8.md5sum
Source3:        cairo-java-1.0.8.news
Source4:        java-gnome-macros.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib-java-devel >= 0:0.4.0
BuildRequires:  gtk2-devel >= 0:2.10.6
BuildRequires:  docbook-utils
BuildRequires:  java-rpmbuild
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-gcj-compat-devel


%description
Cairo-java is a language binding that allows developers to write Cairo
applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Conflicts:      cairo-java < 1.0.8-2

%description    devel
Development files for %{name}.

%prep
%setup -q
%setup -q -T -D -a 4
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --automake --copy --force

%build 
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
export JAVAH=%{_jvmdir}/java-rpmbuild/bin/javah
export GCJ=%{gcj}
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
%{configure2_5x} --with-jardir=%{_javadir}
%{make}

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -f %{buildroot}%{_libdir}/*.a
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README NEWS 
%{_libdir}/libcairojava-*.so
%{_libdir}/libcairojni-*.so
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc doc/api
%{_javadir}/*.zip
%{_libdir}/libcairojava.so
%{_libdir}/libcairojni.so
%{_libdir}/*la
%{_libdir}/pkgconfig/*




%changelog
* Thu Sep 18 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.0.8-7.0.1mdv2009.0
+ Revision: 285759
- fix build

  + David Walluck <walluck@mandriva.org>
    - fix License
    - update License
    - birthday rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.8-2mdv2008.0
+ Revision: 46716
- fix group
- remove requires that are handled automatically
- buildrequires java-compat-devel for correct gcj
- use %%gcj
- move .so, .la, pkgconfig, api docs to -devel package
- use headers provided by java-gcj-compat-devel instead of libgcj


* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 1.0.8-1mdv2007.0
+ Revision: 106871
- 1.0.8

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:1.0.6-2mdv2007.1
+ Revision: 76497
- update glib-java Requires
- 1.0.6

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-6mdv2007.1
+ Revision: 70695
- rebuild

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-5mdv2007.0
+ Revision: 66143
- update for new glib-java
- Import cairo-java

* Tue Aug 15 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-4mdv2007.0
- update versioned requirement

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-3mdv2007.0
- update macros

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-1mdv2007.0
- 1.0.5

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 1.0.4-1
- 1.0.4

* Fri May 26 2006 David Walluck <walluck@mandriva.org> 0:1.0.3-2mdv2007.0
- rebuild for libgcj.so.7

* Wed Apr 19 2006 David Walluck <walluck@mandriva.org> 0:1.0.3-1mdk
- 1.0.3

* Wed Jan 25 2006 David Walluck <walluck@mandriva.org> 0:1.0.2-2mdk
- Requires: libcairo-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:1.0.2-1mdk
- 1.0.2
- fix duplication in %%{_javadir}

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:1.0.1-1mdk
- 1.0.1

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 1.0.0-1mdk
- release

